MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031671Open CASCADE[OCCT] OCCT:Codingpublic2020-07-17 15:082020-07-25 14:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWebAssemblyOSOS VersionEmscripten 1.39
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031671: Coding Rules - eliminate warnings issued by clang 11
Descriptionclang 11 compiler from Emscripten 1.39 generates new warning:
In file included from /occt.git/wasm-make/inc\NCollection_BaseList.hxx:1:
/occt.git/src/NCollection/NCollection_BaseList.hxx:70:15: warning: definition of implicit copy constructor 
for 'Iterator' is deprecated because it has a user-declared copy assignment operator [-Wdeprecated-copy]
    
Iterator& operator= (const Iterator& theIt)
              ^
/occt.git/src/NCollection/NCollection_TListIterator.hxx:27:36: note: in implicit copy constructor for 
'NCollection_BaseList::Iterator' first required here
template <class TheItemType> class NCollection_TListIterator 
                                   ^
/occt.git/src/V3d/V3d_Viewer.hxx:244:62: note: in implicit move constructor for 'NCollection_TListIterator<opencascade::handle<V3d_View>>' 
first required here
  V3d_ListOfViewIterator ActiveViewIterator() const { return V3d_ListOfViewIterator (myActiveViews); 
}
                                                             ^
/occt.git\src\LDOM\LDOM_CharReference.cxx:38:8: warning: definition of implicit copy constructor for 
'entityRef' is deprecated because it has a user-declared copy assignment operator [-Wdeprecated-copy]
  
void operator= (const entityRef&);
       ^
/occt.git\src\LDOM\LDOM_CharReference.cxx:139:5: note: in implicit copy constructor for 'entityRef' first 
required here
    entityRef(NULL,     0),
    ^
1 warning generated.
/occt.git\src\ShapeAnalysis\ShapeAnalysis_Geom.cxx:140:5: warning: misleading indentation; statement 
is not part of the previous 'for' [-Wmisleading-indentation]
    gp_XYZ v1 ( gtrsf.Value(1,1), gtrsf.Value(2,1), gtrsf.Value(3,1) );
    ^
/occt.git\src\ShapeAnalysis\ShapeAnalysis_Geom.cxx:130:3: note: previous statement is here
  for (Standard_Integer i = 1; i <= 3; i ++)
  ^
1 warning generated.
/occt.git\src\CSLib\CSLib.cxx:540:5: warning: misleading indentation; statement is not part of the previous 
'for' [-Wmisleading-indentation]
    return DerVecNor.Value(Nu,Nv);
    ^
/occt.git\src\CSLib\CSLib.cxx:455:1: note: previous statement is here
for ( Mderiv = 1;Mderiv <= Kderiv; Mderiv++)
^
1 warning generated.
/occt.git\src\SelectMgr\SelectMgr_ViewerSelector.cxx:55:10: warning: definition of implicit copy constructor 
for 'CompareResults' is deprecated because it has a user-declared copy assignment operator [-Wdeprecated-copy]
    
void operator = (const CompareResults&);
         ^
/occt.git\src\SelectMgr\SelectMgr_ViewerSelector.cxx:910:56: note: in implicit copy constructor for '(anonymous 
namespace)::CompareResults' first required here
  std::sort (anIndexArray.begin(), anIndexArray.end(), CompareResults (mystored));
                                                       ^
1 warning generated.
/occt.git\src\AppDef\AppDef_LinearCriteria.cxx:366:5: warning: misleading indentation; statement is not 
part of the previous 'for' [-Wmisleading-indentation]
    if (ValCri[0] > myEstimation[0] * 2) {
    ^
/occt.git\src\AppDef\AppDef_LinearCriteria.cxx:355:3: note: previous statement is here
  for(i = 0; i <= 2; i++)
  ^
1 warning generated.
/occt.git\src\MoniTool\MoniTool_TypedValue.cxx:449:5: warning: misleading indentation; statement is not 
part of the previous 'if' [-Wmisleading-indentation]
    theeadds.Bind (val,num);
    ^
/occt.git\src\MoniTool\MoniTool_TypedValue.cxx:445:3: note: previous statement is here
  if (theenums->Value(num).Length() == 0)
  ^

...

clang++ --version
clang version 11.0.0 (Cswircachegitchromium.googlesource.com-external-github.com-llvm-llvm--project 7bf299c8d8d59304fb821f8811618cdeb1d1f1fd)

Target: x86_64-pc-windows-msvc
Thread model: posix
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031668verifiedbugmaster Visualization - WebGL sample doesn't work on Emscripten 1.39 
related to 0031004verifiedbugmaster Coding - eliminate warnings issued by gcc 9.1.0 

-  Notes
(0093174)
git (administrator)
2020-07-17 15:10

Branch CR31671 has been created by kgv.

SHA-1: 6346f88b6e92089eb0c4a7f47cda0be603038746


Detailed log of new commits:

Author: kgv
Date: Fri Jul 17 15:12:49 2020 +0300

    0031671: Coding Rules - eliminate warnings issued by clang 11
    
    Fixed -Wdeprecated-copy warning by removing trivial operator=.
    Fixed formatting issues in places producing -Wmisleading-indentation warning.
(0093177)
kgv (developer)
2020-07-17 16:37

Patch is ready for review in OCCT branch CR31671.

http://jenkins-test-12.nnov.opencascade.com/view/CR31671-master-KGV/ [^]
(0093178)
osa (developer)
2020-07-17 16:49

The patch was reviewed without remarks
(0093247)
git (administrator)
2020-07-22 19:40

Branch CR31671 has been updated by kgv.

SHA-1: 8b41104774fbbafa6a2ff6d31bf62f264eef5bf3


Detailed log of new commits:

Author: kgv
Date: Wed Jul 22 19:42:32 2020 +0300

    # suppress warning on old msvc

(0093248)
git (administrator)
2020-07-22 19:40

Branch CR31671 has been updated forcibly by kgv.

SHA-1: 6207cf5bbd6b90496a3f2e3ea65c1571587e70f6
(0093249)
git (administrator)
2020-07-22 19:41

Branch CR31671_1 has been created by kgv.

SHA-1: 78b832ae49abd512baaad71b35081202170fdede


Detailed log of new commits:

Author: kgv
Date: Fri Jul 17 15:12:49 2020 +0300

    0031671: Coding Rules - eliminate warnings issued by clang 11
    
    Fixed -Wdeprecated-copy warning by removing trivial operator=.
    Fixed formatting issues in places producing -Wmisleading-indentation warning.
(0093320)
bugmaster (administrator)
2020-07-25 13:22

Combination -
OCCT branch : IR-2020-07-24
master SHA - 4c7a3faef5f292475c23ee615ad49d57fc039b58
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-07-24 SHA - be95aa91db3bd344c872901349e58022d3c687fc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17271.39000000011 / 17230.04000000007 [+0.24%]
Products
Total CPU difference: 800.6699999999917 / 791.7399999999936 [+1.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 18742.140625 / 18745.390625 [-0.02%]
Products
Total CPU difference: 1329.234375 / 1321.390625 [+0.59%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0093331)
git (administrator)
2020-07-25 14:02

Branch CR31671_1 has been deleted by inv.

SHA-1: 78b832ae49abd512baaad71b35081202170fdede
(0093332)
git (administrator)
2020-07-25 14:02

Branch CR31671 has been deleted by inv.

SHA-1: 6207cf5bbd6b90496a3f2e3ea65c1571587e70f6

- Related Changesets
occt: master 99ee8f1a
Timestamp: 2020-07-17 12:12:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031671: Coding Rules - eliminate warnings issued by clang 11

Fixed -Wdeprecated-copy warning by removing trivial operator=.
Fixed formatting issues in places producing -Wmisleading-indentation warning.
mod - src/AppDef/AppDef_LinearCriteria.cxx Diff ] File ]
mod - src/CSLib/CSLib.cxx Diff ] File ]
mod - src/LDOM/LDOM_CharReference.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_TypedValue.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseList.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseSequence.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseVector.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseVector.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vector.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Geom.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-07-17 15:08 kgv New Issue
2020-07-17 15:08 kgv Assigned To => kgv
2020-07-17 15:08 kgv Relationship added related to 0031668
2020-07-17 15:08 kgv Relationship added related to 0031004
2020-07-17 15:10 git Note Added: 0093174
2020-07-17 16:37 kgv Note Added: 0093177
2020-07-17 16:37 kgv Assigned To kgv => osa
2020-07-17 16:37 kgv Status new => resolved
2020-07-17 16:49 osa Note Added: 0093178
2020-07-17 16:49 osa Assigned To osa => bugmaster
2020-07-17 16:49 osa Status resolved => reviewed
2020-07-22 19:40 git Note Added: 0093247
2020-07-22 19:40 git Note Added: 0093248
2020-07-22 19:41 git Note Added: 0093249
2020-07-25 13:22 bugmaster Note Added: 0093320
2020-07-25 13:22 bugmaster Status reviewed => tested
2020-07-25 13:35 bugmaster Test case number => Not required
2020-07-25 13:57 bugmaster Changeset attached => occt master 99ee8f1a
2020-07-25 13:57 bugmaster Status tested => verified
2020-07-25 13:57 bugmaster Resolution open => fixed
2020-07-25 14:02 git Note Added: 0093331
2020-07-25 14:02 git Note Added: 0093332


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker